• Register
  • Help
Page 1 of 4 1234 LastLast
Results 1 to 10 of 32

Topic: Trilogy/Atmosphere on PPC mac w/10.5.x and ProTools 8 ?

Share/Bookmark
  1. #1

    Trilogy/Atmosphere on PPC mac w/10.5.x and ProTools 8 ?

    Still stuck in the hardware past -- using a PPC mac (G5 2.7DP) and contemplating using ProTools 8 --

    Trying to assess my gains and losses --

    Does anyone know if Trilogy and Atmosphere will run on a PPC mac (G5 2.7) in OS 10.5.5 in protools 8 (RTAS)? How about PPC mac (G5 2.7) w/OS 10.5.5 and Protools 7.4.2?

    My rig is currently running protools 7.3.1cs something... and OS 10.4.11 -- rock solid. Everything works. BUT -- protools 8 has all the new bells and whistles... worth taking a look...

    Any successes or failures to report?

    Spectrasonics support does not have an answer (yet). Any bleeding edge types care to share?

    Thanks,

    Jeremy

  2. #2
    Senior Member
    Join Date
    Nov 2005
    Location
    Philadelphia PA USA
    Posts
    347

    Re: Trilogy/Atmosphere on PPC mac w/10.5.x and ProTools 8 ?

    Hi.I'm interested in PT8 as well..It only runs on Leopard however and I think I'll have to wait on both..I'm on an intel so can't help with the ppc thing..My G5 died a while back...JON

  3. #3

    Re: Trilogy/Atmosphere on PPC mac w/10.5.x and ProTools 8 ?

    Digi are stating that only Omnisphere is PT8 compatible. Although some are getting success using them in the VST wrapper.
    It only takes a mouth to criticize, but it takes a heart to make a difference.

    http://airvirtualinstruments.blogspot.com/

  4. #4

    Re: Trilogy/Atmosphere on PPC mac w/10.5.x and ProTools 8 ?

    Quote Originally Posted by RussUK View Post
    Digi are stating that only Omnisphere is PT8 compatible. Although some are getting success using them in the VST wrapper.
    What does Spectrasonics say... will Atmosphere or Trilogy work in PT8? (I can't use Omnisphere on a G5 2.0ghz) so if I upgrade to PT8 and keep my system (HD|3) I can't use Atmosphere, or run any v7 sessions with Atmosphere on it? Most all my sequenced bass utilizes Trilogy... will I have to trash Trilogy if I upgrade to PT8?

    Also, will Stylus RMX run on PT8?

  5. #5

    Re: Trilogy/Atmosphere on PPC mac w/10.5.x and ProTools 8 ?

    Spectarsonics doesn't know as of Thursday afternoon. I was told that in theory, on a PPC machine, I should be ok... but that's why I posted here.

    The Digi compatibility docs do not differentiate PPC vs. Intel -- and since we know that Atmosphere and Trilogy will NOT work in Intel machines (without a wrapper), this thread is ONLY about PPC.

    If Atmos and Trilogy (RTAS) will not work with OS 10.5.x and PT8 on a PPC G5, I will save my money and not upgrade all my plugs (or PT) for now. Just to test this, I would have to spend about $1000, so I was hoping to hear from someone who had PT8 on a PPC G5...

  6. #6

    Question Re: Trilogy/Atmosphere on PPC mac w/10.5.x and ProTools 8 ?

    Hi Jeremy... I'm in the same boat as you... having made extensive use of Atmosphere and Trilogy on PT 7.1 (you are probably on a later version)... At one point Eric posted that Omnisphere will work on PPC G5 Mac 2.0 ghz dual but only minimally... and that is in PT 7.

    I would have to upgrade to 10.5 (I'm on 7.1cs10 w/ OS 10.4.6)
    Upgrade to PT8
    Upgrade to Omnisphere (and have bare use of it)
    Be unable to use Atmosphere
    Be unable to use Trilogy
    Upgrade all other plug-ins including Waves Platinum...

    What to do? And at what price? To upgrade everything might require buying a new Mac!! And then my PT HD system will need to be upgraded!

    $$$$$$$$

  7. #7
    Senior Member
    Join Date
    Nov 2005
    Location
    Philadelphia PA USA
    Posts
    347

    Re: Trilogy/Atmosphere on PPC mac w/10.5.x and ProTools 8 ?

    Hi..This is just my opinion..But I would say upgrade to PT7.4 ...You will get loads of improvements as well as most of the stuff in PT8... Also keep in mind Omni has replaced Atmo..And now atmo is a part of Omni..However Trilogy is still only ppc unless you use the wrapper which I never had any real luck with..While many others had no problem...I run with a very small buffer size and work with audio lots..So the demands of the wrapper made it useless in my case...PT 7.4 It's a monster and will help get you ready when the time comes for PT8... Just a thought...JON

  8. #8

    Re: Trilogy/Atmosphere on PPC mac w/10.5.x and ProTools 8 ?

    Cannot answer any PT compatibility (I use Logic 8, and/or Live 6)

    But

    Omnisphere works great on my PPC G5 2.0 Ghz DP - No issues.

    I have not changed my work flow or processing habits at all, to accomodate the needs of Omnisphere (which in my opinion and machine are no more rigorous than RMX)
    Have had up to 2 dozen dozen midi instruments going, and 3 audio (with about 3 efx per channel) - np or freezing. Using mostly RMX, Predator, EXS, Atmosphere, and Omni (part 1 and 2 only per instance). At that point I'm at 67% CPU, which is when I need to start freezing/ bouncing down. Over that CPU usage (if Omni used or not) I get glitches and buffer issues, as per normal native processing problems.

    IMHO - you could run Omni in PT7/8 on your PPC.
    Mac PPC 2ghz dual, 1.67 ghz PPC 17" lappy, Samson 65a, Logic 8.01 (dont use), Live 8.05 suite (dont fix what aint broke), Skull collection & Howling dogs.

  9. #9

    Re: Trilogy/Atmosphere on PPC mac w/10.5.x and ProTools 8 ?

    Quote Originally Posted by arafel View Post
    Cannot answer any PT compatibility (I use Logic 8, and/or Live 6)... Omnisphere works great on my PPC G5 2.0 Ghz DP - No issues. IMHO - you could run Omni in PT7/8 on your PPC.
    Wonderful for Logic users, of which I am not... I wld like for someone from Spectrasonics to address the issue...

  10. #10

    Re: Trilogy/Atmosphere on PPC mac w/10.5.x and ProTools 8 ?

    Quote Originally Posted by jeremyroberts View Post
    Still stuck in the hardware past -- using a PPC mac (G5 2.7DP) and contemplating using ProTools 8 --

    Trying to assess my gains and losses --

    Does anyone know if Trilogy and Atmosphere will run on a PPC mac (G5 2.7) in OS 10.5.5 in protools 8 (RTAS)? How about PPC mac (G5 2.7) w/OS 10.5.5 and Protools 7.4.2?

    My rig is currently running protools 7.3.1cs something... and OS 10.4.11 -- rock solid. Everything works. BUT -- protools 8 has all the new bells and whistles... worth taking a look...

    Any successes or failures to report?

    Spectrasonics support does not have an answer (yet). Any bleeding edge types care to share?

    Thanks,

    Jeremy
    First of all both trilogy and atmosphere need a wrapper to work with leopard. All reports I have heard suggest that it is very unstable. Omnisphere is the replacement for atmosphere.It is virtually unusable with PT8 on a PPC Dual 2.5 4 gigs Ram. It will constantly go into a loop of the last phrase you played, sometimes a SWOD, or sometime pressing play in PT will solve this.This is not an issue with Logic /Leopard or PT 7.4/Tiger. I think that Spectrasonics plugs on PPC/Leopard need some attention, so i did a Stylus RMX test, their only other plug certified for Leopard

    Using Stylus RMX as a comparison test I got 40 instances of Stylus on 7.4/Tiger and only 23 on 8/Leopard. Not great huh
    We all know RTAS is not the best host for VIs but to be fair to Digi all the AIR plugs I tested came up with virtually the same usage results on either system.One can only really point the finger at Spectrasonics on this one.
    I have 2 partitions and use both PT8/7.4 for their own strengths.
    Apparently the new Intel machines do cope with Omnisphere a lot better but my suspicion really is that Omnisphere is a really badly bloated piece of software made worse by a very poor RTAS implementation.
    I really hate to say this as I love Erics stuff and have all the VIs. Omnisphere is a fantatstic instrument but unlesss you have a fast Intel machine and use Logic/AU on a MAC forget it.

    For the moment I am sticking to Tiger 10.4.10 /PT 7.4 for all my Spectrasonics stuff

    Denis

Go Back to forum

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •